import request from '@/utils/request'

// 查询订单BOM列表
export function listOrderBomInfo(query) {
  return request({
    url: '/base/orderBomInfo/list',
    method: 'get',
    params: query
  })
}

// 查询订单BOM下拉框列表
export function findOrderBomList(query) {
  return request({
    url: '/base/orderBomInfo/findOrderBomList',
    method: 'get',
    params: query
  })
}

// 查询订单BOM详细
export function getOrderBomInfo(objId) {
  return request({
    url: '/base/orderBomInfo/' + objId,
    method: 'get'
  })
}

// 新增订单BOM
export function addOrderBomInfo(data) {
  return request({
    url: '/base/orderBomInfo',
    method: 'post',
    data: data
  })
}

// 修改订单BOM
export function updateOrderBomInfo(data) {
  return request({
    url: '/base/orderBomInfo',
    method: 'put',
    data: data
  })
}

// 删除订单BOM
export function delOrderBomInfo(objId) {
  return request({
    url: '/base/orderBomInfo/' + objId,
    method: 'delete'
  })
}
